Bug Hunting Session
Bug 51863 - [GRAMMAR CHECKER] Error in LightProof overlapping rules
Summary: [GRAMMAR CHECKER] Error in LightProof overlapping rules
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-07-08 05:37 UTC by Olivier Hallot
Modified: 2018-07-14 02:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot: LibreOffice can handle overlapping. (18.45 KB, image/png)
2012-07-09 17:35 UTC, László Németh
Details
Error in LightProof (18.71 KB, application/vnd.oasis.opendocument.text)
2014-05-12 10:55 UTC, João Mac-Cormick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2012-07-08 05:37:39 UTC
This is the translation from portuguese, related to gender and adjectives grammar errors.

When two rules applies, the second is affected by the first

Example:

rule 1 test: O menina
             vvvvvvvvvvvv

( "O" is male gender article, "menina" is girl, so error in gender. The correct sentence is "A menina" - the girl - or "O menino" - the boy)


rule 2 test: menina feio
             vvvvvvvvvvvvvvvv

("menina" is girl and "feio" is ugly with male gender, so another error, The correct sentence is "menina feia" or "menino feio")

Then the sentence: "O menina feio" has 2 gender errors.

Clicking on "O" or "menina" gives the correct suggestion and does not affect the second rule, but if you click on the word "feio", the suggestion continues as "o menino/a menina", when it should be "menina feia". If we confirm the suggestion, the word "feio" disapears. I should be left at least "A menina feio", so the second rule can apply.


Code sample:

[u'(?u)(?<![-\\w\u2013.,\xad])O menina(?![-\\w\u2013\xad])', u'O menino\\nA menina', u'Voc\xea quis dizer:', False],

[u'(?u)(?<![-\\w\u2013.,\xad])menina feio(?![-\\w\u2013\xad])', u'menina feia', u'Voc\xea quis dizer:', False],
Comment 1 László Németh 2012-07-09 11:43:37 UTC
A possible solution is to supress overlapping rules in the output of the grammar checker temporarily.
Comment 2 László Németh 2012-07-09 17:32:40 UTC
I cannot reproduce the problem with a new rule file + rule editor (see the attached screenshot).

menina feio -> menina feia|menino feio # Did you mean?
O menina -> A menina|O menino # Did you mean?
# O menina feio

Could you attach your extension/rule data? I believe, some syntax error/Python 
condition can result such problem.
Comment 3 László Németh 2012-07-09 17:35:21 UTC
Created attachment 64040 [details]
Screenshot: LibreOffice can handle overlapping.
Comment 4 João Mac-Cormick 2014-05-12 10:55:59 UTC
Created attachment 98900 [details]
Error in LightProof
Comment 5 João Mac-Cormick 2014-05-12 10:57:01 UTC
Hello Olivier, László

I made a combination with these masculine and feminine words:
"o", "a" ==> article "the"
"menino", "menina" ==> nouns "boy", "girl"
"bonito", "bonita" ==> adjective "beautiful"

There is an attached document noting the errors.

Rwindows XP SP3
LibreOffice 4.2.4.2
VERO Gramatical 3.2.13

João

1. Menina bonita
2. Menina bonito (Does not display the options “Menina bonita” and “Menino bonito”)
3. Menino bonito
4. Menino bonita (Displays only one option “Menino bonito”. Does not display the option “Menina bonita”)

5. A menina bonita
6. A menina bonito (Displays only one option “menina bonita”. Does not display the option “menino bonito”)
7. A menino bonito
8. A menino bonita (Displays only one option “menino bonito”. Does not display the option “menina bonita”)

9. O menina bonita
10. O menina bonito (Displays only one option “menina bonita”. Does not display the option “menino bonito”)
11. O menino bonito
12. O menino bonita (Displays only one option “menino bonito”. Does not display the option “menino bonito”)
Comment 6 QA Administrators 2015-06-08 14:42:37 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-09-20 10:01:51 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2017-07-13 10:05:09 UTC
Setting Assignee back to default. Please assign it back to yourself if you're still working on this issue
Comment 9 QA Administrators 2018-07-14 02:46:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug